OratoraDocs
APIReferenceSeries

Create a series

POST
/series

Creates a multi-round series and, in one call, optionally seeds its competing teams and its round line-up. Requires the series entitlement.

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/series" \  -H "Content-Type: application/json" \  -d '{}'
{  "series": {    "id": "string",    "title": "string",    "status": "draft",    "joinCode": "string",    "manageUrl": "http://example.com",    "createdAt": "2019-08-24T14:15:22Z",    "teams": [      {        "id": "string",        "name": "string",        "color": "string",        "order": 0      }    ],    "rounds": [      {        "id": "string",        "title": "string",        "status": "draft",        "mode": "live",        "joinCode": "string",        "joinUrl": "http://example.com",        "screenUrl": "http://example.com",        "createdAt": "2019-08-24T14:15:22Z",        "activities": [          {            "id": "string",            "kind": "poll",            "config": {},            "order": 0          }        ]      }    ]  }}